com.mysql.cj.xdevapi

## Interface Client

    public interface Client

X DevAPI class encapsulating a Session pooling functionality.

The Client object is obtained via `ClientFactory.getClient(String, java.util.Properties)` or `ClientFactory.getClient(String, String)` methods.

### Nested Class Summary

Nested Classes
`static class` `Client.ClientProperty`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Close `Client`.
`Session` `getSession()` Get `Session` from pool or the new one.

### Method Detail

#### getSession

    Session getSession()

Get `Session` from pool or the new one.

Returns:
  `Session`

#### close

    void close()

Close `Client`. Closes all Sessions it has created, and destroys the managed pool.

Calling the method `close` on a `Client` object that is already closed is a no-op.

Copyright © 2016, 2024, Oracle and/or its affiliates.